package com.ms.dal.mapper;

import com.ms.dal.entity.Shop1688DsAuth;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.Shop1688DsAuth
 */
@Mapper
public interface Shop1688DsAuthMapper {

    int deleteByPrimaryKey(Long id);

    int insert(Shop1688DsAuth record);

    int insertSelective(Shop1688DsAuth record);

    Shop1688DsAuth selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Shop1688DsAuth record);

    int updateByPrimaryKey(Shop1688DsAuth record);

    Shop1688DsAuth getDetailByShopId(Long shopId);
}
